(defun find-entity ()
  "With point on a word in a buffer containing a table of missing
entities, find the entity in the grammar file in another window, and
highlight it."
  (interactive)
  (let ((end) (word))
    (transient-mark-mode 1)
    (forward-word 1)
    (setq end (point))
    (forward-word -1)
    (setq word (buffer-substring (point) end))
    (switch-to-buffer-other-window "HTML32.dtd")
    (goto-char (point-min))
    (re-search-forward (concat "<!ENTITY[^>\"]*\"[^\"]*\\([^A-Za-z0-9]\\|\\)"
			       word
			       "[^A-Za-z0-9]"))
    (backward-char 1)
    (push-mark (point))
    (backward-word 1)
    (exchange-point-and-mark)))

(defun find-lex-pattern (s)
  "Find S in the htmlpty.l window."
  (interactive "sToken String: ")
  (let ((p) (k))
    (setq p (make-string (* 3 (length s)) ?\ ))
    (setq k 0)
    (while (< k (length s))
      (aset p (+ 0 (* 3 k)) ?\{)
      (aset p (+ 1 (* 3 k)) (aref s k))
      (aset p (+ 2 (* 3 k)) ?\})
      (setq k (1+ k)))
    (message p)
    (search-forward p)
    (push-mark)
    (backward-char (length p))
    (exchange-point-and-mark)))