#!/bin/sh
# Test compilation of lex and flex versions of htmlpty.c
# with multiple compilers, ignoring non-existant ones.
# [13-Apr-1995]

docompile()
{
	echo ============================================================
	echo "Compiling with gcc..."
	gcc -c \
		-Wall -Wshadow -Wcast-qual -Wpointer-arith -Wwrite-strings \
		  -Wnested-externs -Wcast-align \
		htmlpty.c || true
	
	echo ============================================================
	echo "Compiling with g++..."
	g++ -c \
		-Wall -Wshadow -Wcast-qual -Wpointer-arith -Wwrite-strings \
		  -Wid-clash-6 -Wpointer-arith -Wcast-qual -Wconversion \
		  -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes \
		  -Wno-parentheses \
		htmlpty.c || true
	
	echo ============================================================
	echo "Compiling with lcc..."
	lcc -A -A -c htmlpty.c || true
	
	echo ============================================================
	echo "Compiling with CC..."
	CC -c htmlpty.c || cxx -c htmlpty.c || true
}

echo "========== Building with lex..."
/bin/rm -f htmlpty.c
make LEX=lex htmlpty.c
cp htmlpty.c htmlpty.c.lex
docompile

echo "========== Building with flex..."
/bin/rm -f htmlpty.c
make LEX=flex htmlpty.c
cp htmlpty.c htmlpty.c.flex
docompile
