#if !defined(DEFAULT_H)
#define DEFAULT_H 1

extern void		body ARGS((void));
extern void		doctype ARGS((void));
extern void		font ARGS((void));
extern void		head ARGS((void));
extern void		hn ARGS((void));
extern void		html ARGS((void));
extern void		html_link ARGS((void));
extern void		inline_tag ARGS((void));
extern void		inline_tag_on_newline ARGS((void));
extern void		line_break ARGS((void));
extern void		list ARGS((void));
extern void		list_header ARGS((void));
extern void		list_item ARGS((void));
extern void		markup_declaration ARGS((void));
extern void		math ARGS((void));
extern void		math_pair ARGS((void));
extern void		noop ARGS((void));
extern void		pair ARGS((void));
extern void		paragraph ARGS((void));
extern void		plaintext ARGS((void));
extern void		short_tag ARGS((void));
extern void		standalone ARGS((void));
extern void		standalone_nocheck ARGS((void));
extern void		title ARGS((void));
extern void		verbatim ARGS((void));
extern void		verbatim_nocheck ARGS((void));

Style default_style[] =
{
#undef ENTRY
#define ENTRY(s) s, (sizeof(s) - 1)
    { ENTRY("__body__"),		(const char*)NULL,	body },
    { ENTRY("__doctype__"),		(const char*)NULL,	doctype },
    { ENTRY("__doctype-name__"),	(const char*)NULL,	noop },
    { ENTRY("__doctype-external__"),	(const char*)NULL,	noop },
    { ENTRY("__doctype-id__"),		(const char*)NULL,	noop },
    { ENTRY("__font__"),		(const char*)NULL,	font },
    { ENTRY("__head__"),		(const char*)NULL,	head },
    { ENTRY("__html__"),		(const char*)NULL,	html },
    { ENTRY("__inline__"),		(const char*)NULL,	inline_tag },
    { ENTRY("__inline-on-newline__"),	(const char*)NULL,	inline_tag_on_newline },
    { ENTRY("__line-break__"),		(const char*)NULL,	line_break },
    { ENTRY("__link__"),		(const char*)NULL,	html_link },
    { ENTRY("__list__"),		(const char*)NULL,	list },
    { ENTRY("__list-header__"),		(const char*)NULL,	list_header },
    { ENTRY("__list-item__"),		(const char*)NULL,	list_item },
    { ENTRY("__markup-declaration__"),	(const char*)NULL,	markup_declaration },
    { ENTRY("__math__"),		(const char*)NULL,	math },
    { ENTRY("__math-pair__"),		(const char*)NULL,	math_pair },
    { ENTRY("__pair__"),		(const char*)NULL,	pair },
    { ENTRY("__paragraph__"),		(const char*)NULL,	paragraph },
    { ENTRY("__plaintext__"),		(const char*)NULL,	plaintext },
    { ENTRY("__public__"),		(const char*)NULL,	standalone_nocheck },
    { ENTRY("__section__"),		(const char*)NULL,	hn },
    { ENTRY("__short__"),		(const char*)NULL,	short_tag },
    { ENTRY("__standalone__"),		(const char*)NULL,	standalone },
    { ENTRY("__standalone-nocheck__"),	(const char*)NULL,	standalone_nocheck },
    { ENTRY("__title__"),		(const char*)NULL,	title },
    { ENTRY("__verbatim__"),		(const char*)NULL,	verbatim },
    { ENTRY("__verbatim-nocheck__"),	(const char*)NULL,	verbatim_nocheck },
    { (const char *)NULL, (size_t)0,	(const char*)NULL,	(StyleFunction)NULL }
#undef ENTRY
};

#endif /* !defined(DEFAULT_H) */
