#!/bin/sh
# Test compilation and build of lex and flex versions of htmlpty.c
# with multiple compilers, ignoring non-existant ones.
# [03-Nov-1997]

docheck()			# Usage: docheck lex   or    docheck flex
{
	if [ $# -ne 1 ]
	then
		echo Usage: docheck lex-or-flex
		exit 1
	fi

	echo ============================================================
	echo "Building with cc..."
	make -f backup/Makefile distclean
	env CC=cc ./configure && make LEX=$1 all check


	echo ============================================================
	echo "Building with c89..."
	make -f backup/Makefile distclean
	env CC=c89 ./configure && make LEX=$1 all check


	echo ============================================================
	echo "Building with gcc..."
	make -f backup/Makefile distclean
	env CC=gcc ./configure && \
		make \
		XCFLAGS="-Wall -Wshadow -Wcast-qual -Wpointer-arith \
			-Wwrite-strings -Wnested-externs -Wcast-align" \
		LEX=$1 \
		all check


	echo ============================================================
	echo "Building with g++..."
	make -f backup/Makefile distclean
	env CC=g++ ./configure && \
		make \
		XCFLAGS="-Wall -Wshadow -Wcast-qual -Wpointer-arith \
			-Wwrite-strings -Wid-clash-6 -Wpointer-arith \
			-Wcast-qual -Wconversion -Waggregate-return \
			-Wstrict-prototypes -Wmissing-prototypes \
			-Wno-parentheses " \
		LEX=$1 \
		all check


	echo ============================================================
	echo "Building with lcc..."
	make -f backup/Makefile distclean
	env CC='lcc -A -A' ./configure && make LEX=$1 all check


	echo ============================================================
	echo "Building with CC..."
	make -f backup/Makefile distclean
	env CC=CC ./configure && make LEX=$1 all check


	echo ============================================================
	echo "Building with cxx..."
	make -f backup/Makefile distclean
	env CC='cxx -x cxx' ./configure && make LEX=$1 all check


	echo ============================================================
	echo "Building with xlC..."
	make -f backup/Makefile distclean
	env CC='xlC -+' ./configure && make LEX=$1 all check

}

echo "========== Building with flex..."
docheck flex

echo "========== Building with lex..."
docheck lex
